=== debian/changelog ===
docker-systemctl-replacement (1.4.3424-2) unstable; urgency=medium

  * debhelper-compat: removed "debian/compat" file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Jan 2020 20:45:38 +1100

docker-systemctl-replacement (1.4.3424-1) unstable; urgency=medium

  * Initial release (Closes: #944039).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Nov 2019 20:26:05 +1100
