=== requirements.txt ===
docker-mirror-packages-repo
-e git+https://github.com/gdraheim/docker-mirror-packages-repo.git
