=== debian/changelog ===
docker-systemctl-replacement (1.4.4147-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 28 Apr 2020 17:26:19 +1000

docker-systemctl-replacement (1.4.4147-1) unstable; urgency=medium

  * New upstream release.
  * Recommends += "procps".
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 23 Apr 2020 22:52:00 +1000

docker-systemctl-replacement (1.4.3424-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Mar 2020 12:55:15 +1100
