=== debian/changelog ===
docker-systemctl-replacement (1.4.4181-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not provide systemd for now. (Closes: #959828)
    While the idea is to be a substitution for systemd's systemctl, the
    implementation via 'Provides: systemd' breaks stuff in practice.
    Another solution should be found given more time and cooperation with
    systemd maintainers. This is a stop-gap solution. It is meant to be
    temporary.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 26 Aug 2020 19:09:30 +0200

docker-systemctl-replacement (1.4.4181-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 May 2020 12:45:18 +1000

docker-systemctl-replacement (1.4.4147-2) unstable; urgency=medium

  * Provides: systemd. (For co-installability with "php7.4-fpm").

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 May 2020 07:43:50 +1000
