=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: docker-systemctl-replacement
 Section: admin
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12) ,dh-python ,python3
     ,help2man
@@ -14,6 +14,8 @@
 Architecture: all
 Conflicts: systemd
 Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: ${misc:Recommends}
+    ,procps
 Suggests: tini | dumb-init
 Description: daemonless "systemctl" command to manage services without systemd
  "systemctl" is a replacement command to control system daemons without
